%define qtdir /usr/lib/qt-1.44
%define kdeprefix /usr
%define name klyx
%define version 0.10.0
%define release 4

Summary: KLyX - a word processor for the K Desktop Environment
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/office/%{name}-%{version}.tar.gz
Group: Applications/Productivity
URL: http://www.devel.lyx.org/~ettrich/klyx.html
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: tetex tetex-latex tetex-dvips ghostscript
Prefix: %{kdeprefix}

%description
A word processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q


%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtprefix}
CFLAGS="$RPM_OPT_FLAGS -frtti" CXXFLAGS="$RPM_OPT_FLAGS -frtti" \
	./configure --prefix=%{kdedir} \
	--with-qt-dir=%{qtdir} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/klyx

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt/relinked with latest Cassini kdelibs.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.10.0.

* Fri Jul 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Cooker.
- added teTeX and ghostscript dependencies.

* Tue Oct 06 1998 Fabio Coatti <cova@felix.unife.it>
- fixed installation directory files list

* Fri Oct 02 1998 Fabio Coatti <cova@felix.unife.it>
- fixed QT libs version requirements

* Thu Oct 01 1998 Fabio Coatti <cova@felix.unife.it>
- Added patch for print bug
- modified the file section
- added the italian description
